Bug 58546 - nvi-m17n-canna loops by Ctrl-space-key
nvi-m17n-canna loops by Ctrl-space-key
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nvi-m17n (Show other bugs)
2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Akira TAGOH
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-19 04:06 EST by Kazutoshi Morioka
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-27 00:08:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kazutoshi Morioka 2002-01-19 04:06:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.6) Gecko/20011122

Description of problem:
Ctrl-space-key (NULL character) drives nvi-canna into infinite loop
when input-mode. Any keys include Ctrl-c has not work.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.start nvi-canna
2.press i key to go into input-mode. 
3.press Ctrl-SPACE key.
	

Actual Results:  CPU load raises to 100%.
Any key is ignored.
Sending SIGKILL is only effective.
Currently editing results are lost.

Expected Results:  NULL code is ignored by vi; none is occur.

Additional info:
Comment 1 Kazutoshi Morioka 2002-02-14 06:41:32 EST
I just remembered a fact "Red Hat Japan is irresponsible."
So I start to debug it.
This one seems to be related to key-mapping.
I found a patch below gives a workaround.
--- nvi-1.79/common/seq.c.orig  Thu Feb 14 20:07:20 2002
+++ nvi-1.79/common/seq.c       Thu Feb 14 20:15:58 2002
@@ -45,6 +45,8 @@
        SEQ *lastqp, *qp;
        int sv_errno;
 
+       if (input == NULL || *input == '\0')
+               return(0);
        /*
         * An input string must always be present.  The output string
         * can be NULL, when set internally, that's how we throw away
Comment 2 Kazutoshi Morioka 2002-02-22 08:28:53 EST
nvi's source package has it's own curses/termcap functions.
One of these functions, tigetstr() do not work properly on
Red Hat Linux 7.x. This is heart of the bug.
Above patch gives workaround, but cursor-keys still do not work.
Comment 3 Matthew Miller 2005-04-26 12:04:48 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 4 Kazutoshi Morioka 2005-04-27 00:06:03 EDT
I confirmed latest nvi-m17n-canna-1.79-20011024.19 never shows this bug.
I think this had beed fixed at somewhere in the upstream m17n-patches.
I don't know why this bug is still opened.
Comment 5 Matthew Miller 2005-04-27 00:08:24 EDT
thanks.

Note You need to log in before you can comment on or make changes to this bug.